import axios from 'axios';
import { API_URL } from '../constants';

const existingToken = JSON.parse(localStorage.getItem('token'));

export const backend = axios.create({
	baseURL: API_URL,
	headers: {
		'Content-type': 'application/json',
	},
});

if (existingToken) {
	backend.defaults.headers['Authorization'] = existingToken;
}
