import React from 'react';
import { Panel } from 'rsuite';

import { useAuth } from '../helpers/authContext';
import { NavBar } from '../components';

export default function Dashboard() {
	const { authToken, isAuthenticated, currentUser } = useAuth();

	return (
		<>
			<NavBar title='Meeting Planner' />
			<Panel header={<h3>Dashboard</h3>} bordered>
				<p>This is just experimenting with stuff.</p>
				<p>{authToken}</p>
				<p>Authenticated: {isAuthenticated.toString()}</p>
				<p>Current user: {currentUser.username}</p>
			</Panel>
		</>
	);
}
