import React from 'react';
import { Panel } from 'rsuite';

import { useAuth } from '../helpers/authContext';
import { NavBar } from '../components';

export default function Home() {
	const { authToken, isAuthenticated } = useAuth();

	return (
		<>
			<NavBar title='Meeting Planner' />
			<Panel header={<h3>Home</h3>} bordered>
				<p>This will be the home page</p>
				<p>{authToken}</p>
				<p>Authenticated: {isAuthenticated.toString()}</p>
			</Panel>
		</>
	);
}
