import React from 'react';
import { InputPicker } from 'rsuite';

import { timezones } from '../assets/data/timezonesFlat';

export default function TimezonePicker({
	handleSelect,
	handleClean,
	timezone,
}) {
	return (
		<InputPicker
			data={timezones}
			// cleanable={false}
			style={{ width: '100%' }}
			labelKey='timezone'
			groupBy='area'
			placeholder='type to search your timezone'
			onSelect={handleSelect}
			onClean={handleClean}
			value={timezone}
			valueKey='timezone'
		/>
	);
}
